WebSphereLDAPUserRegistry (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereLDAPUserRegistry interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereLDAPUserRegistry

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebSphereUserRegistry

    public interface WebSphereLDAPUserRegistry

extends WebSphereUserRegistry

SSL Settings for a WebSphere Global Security Settings

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBaseDN()`
`java.lang.String` | `getBindDN()`
`long` | `getMonitorInterval()`
`boolean` | `getReuseConnection()`
`long` | `getSearchTimeout()`
`java.lang.String` | `getSslConfig()`
`boolean` | `getSslEnabled()`
`java.lang.String` | `getType()`
`boolean` | `hasBaseDN()`
`boolean` | `hasBindDN()`
`boolean` | `hasMonitorInterval()`
`boolean` | `hasReuseConnection()`
`boolean` | `hasSearchTimeout()`
`boolean` | `hasSslConfig()`
`boolean` | `hasSslEnabled()`
`boolean` | `hasType()`
`void` | `setBaseDN(java.lang.String baseDN)`
`void` | `setBindDN(java.lang.String bindDN)`
`void` | `setMonitorInterval(long monitorInterval)`
`void` | `setReuseConnection(boolean reuseConnection)`
`void` | `setSearchTimeout(long searchTimeout)`
`void` | `setSslConfig(java.lang.String sslConfig)`
`void` | `setSslEnabled(boolean sslEnabled)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereUserRegistry
`getIgnoreCase, getLimit, getParent, getRealm, getRegistryType, getServerId, hasIgnoreCase, hasLimit, hasParent, hasRealm, hasRegistryType, hasServerId, setIgnoreCase, setLimit, setParent, setRealm, setRegistryType, setServerId`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getBaseDN

    java.lang.String getBaseDN()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBaseDN

    void setBaseDN(java.lang.String baseDN)

### hasBaseDN

    boolean hasBaseDN()

### getBindDN

    java.lang.String getBindDN()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBindDN

    void setBindDN(java.lang.String bindDN)

### hasBindDN

    boolean hasBindDN()

### getSearchTimeout

    long getSearchTimeout()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSearchTimeout

    void setSearchTimeout(long searchTimeout)

### hasSearchTimeout

    boolean hasSearchTimeout()

### getMonitorInterval

    long getMonitorInterval()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMonitorInterval

    void setMonitorInterval(long monitorInterval)

### hasMonitorInterval

    boolean hasMonitorInterval()

### getReuseConnection

    boolean getReuseConnection()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReuseConnection

    void setReuseConnection(boolean reuseConnection)

### hasReuseConnection

    boolean hasReuseConnection()

### getSslEnabled

    boolean getSslEnabled()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSslEnabled

    void setSslEnabled(boolean sslEnabled)

### hasSslEnabled

    boolean hasSslEnabled()

### getSslConfig

    java.lang.String getSslConfig()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSslConfig

    void setSslConfig(java.lang.String sslConfig)

### hasSslConfig

    boolean hasSslConfig()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD